Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224149 - rebuild of brltty-3.7.2-1.fc6 fails on a Rawhide system
Summary: rebuild of brltty-3.7.2-1.fc6 fails on a Rawhide system
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: brltty
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Janousek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 224341
TreeView+ depends on / blocked
 
Reported: 2007-01-24 13:37 UTC by Karsten Hopp
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: brltty-3.7.2-1.1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-25 12:00:39 UTC


Attachments (Terms of Use)
srpm patch (deleted)
2007-01-25 11:08 UTC, Tomas Janousek
no flags Details | Diff

Description Karsten Hopp 2007-01-24 13:37:28 UTC
Description of problem:
make[3]: Entering directory
`/home/build/rebuild/build/brltty-3.7.2-1.fc6.src.rpm/brltty-3.7.2/Programs'
gcc -Wall -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -I. -I.. -I. -I.. -D_POSIX_C_SOURCE=2 -D_BSD_SOURCE
-D_XOPEN_SOURCE=500 -DHAVE_CONFIG_H -fPIC -c ./api_client.c
./api_client.c: In function 'brlapi_waitForPacket':
./api_client.c:167: warning: dereferencing type-punned pointer will break
strict-aliasing rules
./api_client.c: In function 'getControllingTty':
./api_client.c:669: error: 'MAX_NR_CONSOLES' undeclared (first use in this function)
./api_client.c:669: error: (Each undeclared identifier is reported only once
./api_client.c:669: error: for each function it appears in.)
make[3]: *** [api_client.o] Error 1

Comment 1 Tomas Janousek 2007-01-25 11:08:17 UTC
Created attachment 146524 [details]
srpm patch

I'm not gonna rebuild it because of this, therefore attaching the patch. SRPM
is at
http://people.redhat.com/tjanouse/brltty/224149/brltty-3.7.2-1.1.fc7.src.rpm


Note You need to log in before you can comment on or make changes to this bug.